"use strict";
var __importDefault =
  (this && this.__importDefault) ||
  function (mod) {
    return mod && mod.__esModule ? mod : { default: mod };
  };
Object.defineProperty(exports, "__esModule", { value: true });
const romaji_conv_1 = require("@koozaki/romaji-conv");
const fs_1 = require("fs");
const moji_1 = __importDefault(require("moji"));
const enDictionaryPath = require.resolve("dictionary-en/index.dic");
const typoDictionary = fs_1
  .readFileSync(enDictionaryPath, "utf-8")
  // ファイル末端の改行を除去する。
  .trim()
  .split("\n")
  // ファイル先頭に書かれた単語数を除去する。
  .slice(1)
  // 「/」のあとに続くフラグを除去する。
  .map((line) => line.split("/")[0])
  .flatMap((correct) => {
    const word = moji_1
      .default(romaji_conv_1.toHiragana(correct))
      .convert("HE", "ZE")
      .toString();
    // 不自然なアルファベットが含まれているかチェックする。
    return /[^ａ-ｚＡ-Ｚ][ａ-ｚＡ-Ｚ]+[^ａ-ｚＡ-Ｚ]/.test(word)
      ? [
          {
            correct,
            word,
          },
        ]
      : [];
  });
console.log(JSON.stringify(typoDictionary));
